package com.ejie.ab39a.model;

import com.ejie.x38.util.Constants;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.util.ArrayList;
import java.util.List;

import org.springframework.context.i18n.LocaleContextHolder;

/**
 * TiposReceptores.
 * 
 *  
 */

public class TiposReceptores implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long codtiporecep;
	private String descas;
	private String deseus;
	private List<AccionesPg> accionesPgs = new ArrayList<AccionesPg>();

	/**
	 * Method 'TiposReceptores'.
	 */
	public TiposReceptores() {
		super();
	}

	/**
	 * Method 'TiposReceptores'.
	 * 
	 * @param codtiporecep
	 *            Long codtiporecep
	 */
	public TiposReceptores(Long codtiporecep) {
		super();
		this.codtiporecep = codtiporecep;
	}

	/**
	 * Method 'TiposReceptores'.
	 * 
	 * @param codtiporecep
	 *            Long codtiporecep
	 * @param descas
	 *            String descas
	 * @param deseus
	 *            String deseus
	 */
	public TiposReceptores(Long codtiporecep, String descas, String deseus) {
		super();
		this.codtiporecep = codtiporecep;
		this.descas = descas;
		this.deseus = deseus;
	}

	/**
	 * Method 'TiposReceptores'.
	 * 
	 * @param codtiporecep
	 *            Long codtiporecep
	 * @param descas
	 *            String descas
	 * @param deseus
	 *            String deseus
	 * @param accionesPgs
	 *            List<AccionesPg> accionesPgs
	 */
	public TiposReceptores(Long codtiporecep, String descas, String deseus, List<AccionesPg> accionesPgs) {
		super();

		this.codtiporecep = codtiporecep;
		this.descas = descas;
		this.deseus = deseus;
		this.accionesPgs = accionesPgs;
	}

	/**
	 * Method 'getNombre'.
	 *
	 * @return String
	 */

	public String getDesc() {
		String des = "";
		if (Constants.EUSKARA.equals(LocaleContextHolder.getLocale().getLanguage())) {
			des = this.getDeseus();
		} else {
			des = this.getDescas();
		}
		return des;
	}

	/**
	 * Method 'getCodtiporecep'.
	 *
	 * @return Long
	 */

	public Long getCodtiporecep() {
		return this.codtiporecep;
	}

	/**
	 * Method 'setCodtiporecep'.
	 *
	 * @param codtiporecep
	 *            Long
	 */

	public void setCodtiporecep(Long codtiporecep) {
		this.codtiporecep = codtiporecep;
	}

	/**
	 * Method 'getDescas'.
	 *
	 * @return String
	 */

	public String getDescas() {
		return this.descas;
	}

	/**
	 * Method 'setDescas'.
	 *
	 * @param descas
	 *            String
	 */

	public void setDescas(String descas) {
		this.descas = descas;
	}

	/**
	 * Method 'getDeseus'.
	 *
	 * @return String
	 */

	public String getDeseus() {
		return this.deseus;
	}

	/**
	 * Method 'setDeseus'.
	 *
	 * @param deseus
	 *            String
	 */

	public void setDeseus(String deseus) {
		this.deseus = deseus;
	}

	/**
	 * Method 'getAccionesPgs'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<AccionesPg> getAccionesPgs() {
		return this.accionesPgs;
	}

	/**
	 * Method 'setAccionesPgs'.
	 *
	 * @param accionesPgs
	 *            List
	 */
	public void setAccionesPgs(List<AccionesPg> accionesPgs) {
		this.accionesPgs = accionesPgs;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ codtiporecep: ").append(this.codtiporecep).append(" ]");
		result.append(", [ descas: ").append(this.descas).append(" ]");
		result.append(", [ deseus: ").append(this.deseus).append(" ]");
		result.append("}");
		return result.toString();
	}

}
